Page MenuHomePhabricator

Pending global renames in need of sysadmin supervision (tracking)
Closed, ResolvedPublic

Description

NOTE: As of July 2019 apparently there is no need for more sysadmin supervisions when renaming accounts. Global renamers/Stewards are adviced nonetheless to exercice caution and good judgement when performing renames involving very high local and/or global edit counts and file a ticket if they're unsure as to whether a particular rename can be done.

Global rename requests that need sysadmin supervision on performing. These include large global renames of users with more than 100,000 edits in a single project or globally.

Such requests in the past created issues for MediaWiki-extensions-CentralAuth or for DBA.

CLICK HERE to add a new big global rename to the queue (just modify the title and the description, everything else is already set up).

Related Objects

StatusAssignedTask
ResolvedNone
Resolvedalanajjar
ResolvedMarcoAurelio
DuplicateNone
ResolvedMarostegui
ResolvedMarostegui
ResolvedNone
InvalidNone
ResolvedMarcoAurelio
ResolvedKrenair
ResolvedKrenair
DeclinedNone
DeclinedNone
ResolvedMarostegui
ResolvedWong128hk
ResolvedRuyP
ResolvedMarcoAurelio
ResolvedMarostegui
ResolvedLegoktm
ResolvedNone
ResolvedLinedwell
ResolvedSteinsplitter
ResolvedNone
Resolvedrevi
Resolvedalanajjar
Resolvedalanajjar
ResolvedNone
ResolvedMarcoAurelio
ResolvedCyberpower678
ResolvedNihlus
ResolvedMarcoAurelio
InvalidNone
Resolved1997kB
ResolvedNone
ResolvedNone
ResolvedBanyek
Resolved1997kB
ResolvedTgr
Resolvedalanajjar
Resolvedalanajjar
Resolved1997kB
Resolved1997kB
InvalidNone
Resolvedmys_721tx
Resolved1997kB
ResolvedOshwah

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Dereckson updated the task description. (Show Details)Nov 19 2017, 10:27 PM
MarcoAurelio updated the task description. (Show Details)Nov 23 2017, 9:37 AM
Nihlus added a subscriber: Nihlus.Jan 25 2018, 10:17 PM
Marostegui updated the task description. (Show Details)Feb 16 2018, 6:42 AM
Marostegui added a subscriber: Marostegui.

I have changed the original task description number of edits from 50k to 100k.
We have seen no issues with users below 100k edits, so please do the renames of users with less than 100k edits without tagging DBA.

Tegel added a subscriber: Tegel.Feb 16 2018, 7:23 AM

@Marostegui Still would you like us to keep the warnings (our side) for renames of users with more than 50k edits? Thanks.

@Marostegui Still would you like us to keep the warnings (our side) for renames of users with more than 50k edits? Thanks.

No, no need to. We have seen no issues in all the last renames. Thanks!

1997kB added a subscriber: 1997kB.May 8 2018, 9:20 AM
Urbanecm removed a subscriber: Urbanecm.Nov 10 2018, 7:15 PM
1997kB updated the task description. (Show Details)Feb 19 2019, 2:44 AM
1997kB removed a subscriber: 1997kB.
1997kB added a subscriber: 1997kB.
alanajjar added a subtask: Restricted Task.May 11 2019, 10:44 AM
alanajjar closed subtask Restricted Task as Resolved.May 13 2019, 1:21 PM

Renames probably don't need DBA monitoring anymore - since we replaced our old hardware we haven't seen any replication delay showing up.

Renames probably don't need DBA monitoring anymore - since we replaced our old hardware we haven't seen any replication delay showing up.

Thanks @Marostegui - Could you please discuss this with DBA/Ops/etc. and get back to us with a definitive answer on this issue? (that is: if renames for global accounts with more than X edits locally or globally needs Phabricator ticket). Thank you!

Renames probably don't need DBA monitoring anymore - since we replaced our old hardware we haven't seen any replication delay showing up.

Thanks @Marostegui - Could you please discuss this with DBA/Ops/etc. and get back to us with a definitive answer on this issue? (that is: if renames for global accounts with more than X edits locally or globally needs Phabricator ticket). Thank you!

I am not sure if they do, if they do, they definitely do not need to tag DBA :-)

Well, that's the question. Do we need to keep asking on Phabricator before renaming users with big edit counts locally and/or globally? I don't think any of us wants to break the sites doing a heavy rename (DBA tag or not).

Well, that's the question. Do we need to keep asking on Phabricator before renaming users with big edit counts locally and/or globally? I don't think any of us wants to break the sites doing a heavy rename (DBA tag or not).

I guess it is not a bad idea to file a task but probably neither Operations and nor DBA are valid tags, since we know very little about the rename process and we cannot even help if they get stuck or if we need to kill them.

MarcoAurelio updated the task description. (Show Details)Jul 2 2019, 10:16 AM
MarcoAurelio closed this task as Resolved.Jul 16 2019, 10:30 AM
MarcoAurelio added a subscriber: jcrespo.

Per comments from @jcrespo elsewhere, it looks global renames, even bigger ones, do not need further sysadmin supervision. Closing this task. If an specific global rename fails, then please file a task for the specific failed global rename under Wikimedia-Site-requests I guess.

MarcoAurelio moved this task from Tracking to Closed on the GlobalRename board.Aug 28 2019, 7:38 PM